export default class JDLApplicationEntities {
    entityNames: Set<string>;
    constructor(entityNames?: string[]);
    add(entityName: string): void;
    addEntityNames(entityNames?: string[]): void;
    has(entityName: string): boolean;
    forEach(passedFunction: (name: string) => void): void;
    toArray(): string[];
    size(): number;
    toString(indent?: number): string;
}
